<template>
  <div class="user-form">
    <form @submit.prevent="submit">
      <div class="form-group">
        <label for="name">Nama</label>
        <input type="text" v-model="user.name" class="form-control" placeholder="Masukan nama user">
      </div>
      <div class="form-group">
        <label for="email">Email</label>
        <input type="text" v-model="user.email" class="form-control" placeholder="Masukan email user">
      </div>
      <div class="form-group">
        <label for="address">Alamat</label>
        <textarea type="text" v-model="user.address" class="form-control" 
          placeholder="Masukan alamat user"> </textarea>
      </div>
      <button type="submit" class="btn btn-primary mr-2">Submit</button>
      <button class="btn btn-danger" type="button" data-toggle="collapse" data-target="#collapseExample">
        Cancel
        </button>
    </form>
  </div>
</template>

<script>
  export default {
    name: 'user-form', 
    data(){
      return {
        user: {
          name: '',
          email: '',
          address: '',
        }
      }
    },
    methods: {
      submit() {
        this.$emit('add-customer', this.user)
        this.user = {
          name: '',
          email: '',
          address: '',
        }
      },
    },
  }
</script>